Konubinix' opinionated web of thoughts

Box to Hold Smal Rocks for My Kid

Fleeting

tag: learning 3D printing

Somehow, rarray directly on the box and combining in cut mode does not respect the faces(>Z) setting.<x>

import cadquery as cq

def box():
    return (
        cq.Workplane("XY")
        .box(
            79,
            40,
            30,
            centered=(True, True, False),
        )
        .cut(
            cq.Workplane("XY", origin=(0, 0, 0.6))
            .rarray(
                9.8,
                9.8,
                8,
                4,
                True
            )
            .box(
                9,
                9,
                30,
                centered=(True, True, False),
            )
        )
    )

res = box()

cq.exporters.export(res, out)
return out

()